package com.ssj.service.course.service;

import com.ssj.bean.course.domain.CourseSeriesDetail;
import com.ssj.framework.core.common.service.BaseService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;

public interface ICSDetailService extends BaseService<CourseSeriesDetail, String> {

	Page<CourseSeriesDetail> findByPage(Map<String, Object> params, Pageable initPage);
	
	public List<CourseSeriesDetail> findBySeriesId(String seriesId);
	/**
	 * 查询课程的次数
	* @param seriesId
	* @return
	* 创建人：ZhangCaibao 
	* 2018年11月8日 上午10:56:29 
	* @Integer
	 */
	Integer findBySeriesIdCount(String seriesId);
	
	public List<Map<String, Object>> findSeriesDetailsByUserId(String seriesId, String userId, String vipId, String libId) ;

	
	public CourseSeriesDetail getCourseSeriesDetailByCourseIndex(String seriesId,Integer courseIndex);

	List<CourseSeriesDetail> findBySeriesIdAndAfterIndex(String seriesId, Integer courseIndex);
	
}
